# Enum Class FlagIcon

java.lang.Object
java.lang.Enum<FlagIcon>
com.independentsoft.pst.FlagIcon

All Implemented Interfaces:
  `Serializable`, `Comparable<FlagIcon>`, `Constable`

public enum FlagIcon extends Enum<FlagIcon>
Specifies the colored flag icon shown for a message.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLUE`
  Blue flag.
  `GREEN`
  Green flag.
  `NONE`
  No flag icon.
  `ORANGE`
  Orange flag.
  `PURPLE`
  Purple flag.
  `RED`
  Red flag.
  `YELLOW`
  Yellow flag.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FlagIcon`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FlagIcon[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PURPLE

    public static final FlagIcon PURPLE
    Purple flag.

  - ### ORANGE

    public static final FlagIcon ORANGE
    Orange flag.

  - ### GREEN

    public static final FlagIcon GREEN
    Green flag.

  - ### YELLOW

    public static final FlagIcon YELLOW
    Yellow flag.

  - ### BLUE

    public static final FlagIcon BLUE
    Blue flag.

  - ### RED

    public static final FlagIcon RED
    Red flag.

  - ### NONE

    public static final FlagIcon NONE
    No flag icon.

- ## Method Details

  - ### values

    public static FlagIcon[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FlagIcon valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null